# Matrix Email Bot

* [Malformed Email kills service · Issue \#54 · t2bot\/matrix\-email\-bot](https://github.com/t2bot/matrix-email-bot/issues/54 "Malformed Email kills service · Issue #54 · t2bot/matrix-email-bot")

## Matrix email bot error

error: Error: 139880049002368:error:14201044:SSL routines:tls_choose_sigalg:internal error:../deps/openssl/openssl/ssl/t1_lib.c:2856:
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]: /app/node_modules/@matrix-org/olm/olm.js:20
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]: if(fa)n=m?require("path").dirname(n)+"/":__dirname+"/",ja=function(b,c){la||(la=require("fs"));ma||(ma=require("path"));b=ma.normalize(b);return la.readFileSync(b,c?null:"utf8")},ka=function(b){b=ja(b,!0);b.buffer||(b=new Uint8Array(b));b.buffer||q("Assertion failed: undefined");return b},1<process.argv.length&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),pr>
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]:                                                                                                                                                                                                                                                                                                                                                                                     >
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]: Error [ERR_UNHANDLED_ERROR]: Unhandled error. (undefined)
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]:     at new NodeError (internal/errors.js:322:7)
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]:     at Mailin.emit (events.js:389:17)
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]:     at SMTPServer.<anonymous> (/app/node_modules/mailin/lib/mailin.js:519:15)
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]:     at SMTPServer.emit (events.js:400:28)
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]:     at SMTPServer._onError (/app/node_modules/smtp-server/lib/smtp-server.js:237:10)
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]:     at SMTPConnection.emit (events.js:400:28)
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]:     at SMTPConnection._onError (/app/node_modules/smtp-server/lib/smtp-connection.js:274:10)
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]:     at TLSSocket.emit (events.js:412:35)
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]:     at emitErrorNT (internal/streams/destroy.js:106:8)
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]:     at emitErrorCloseNT (internal/streams/destroy.js:74:3)
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]:     at processTicksAndRejections (internal/process/task_queues.js:82:21) {
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]:   code: 'ERR_UNHANDLED_ERROR',
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]:   context: undefined
Aug 02 16:29:36 matrix matrix-emailbot-temp[2915220]: }

[Back](../readme.md)